%define upstream_name Dancer-Plugin-Database-Core
%define upstream_version 0.20

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DBI::db\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Shared core for D1 and D2 Database plugins
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Shared core for D1 and D2 Database plugins.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-3.mga8
+ Revision: 1503694
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-2.mga7
+ Revision: 1282618
- Mageia 7 Mass Rebuild

* Wed Jul 19 2017 sander85 <sander85> 0.200.0-1.mga7
+ Revision: 1125070
- update to 0.20
- update to 0.20

* Sat Jun 18 2016 pterjan <pterjan> 0.140.0-2.mga6
+ Revision: 1024784
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 1001758
- New version 0.14

* Sat Feb 20 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 971310
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 891285
- update to 0.13

* Sun Aug 23 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 868361
- update to 0.12

* Sat Jun 27 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 845928
- update to 0.11

* Sat Oct 18 2014 shlomif <shlomif> 0.70.0-4.mga5
+ Revision: 783745
- Add requires_exclude

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-3.mga5
+ Revision: 745009
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 0.70.0-1.mga5
+ Revision: 670903
- update to 0.07

* Tue Apr 15 2014 jquelin <jquelin> 0.60.0-1.mga5
+ Revision: 614679
- update to 0.06

* Sat Feb 08 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 586634
- imported package perl-Dancer-Plugin-Database-Core

